Get a fleet inspection
GET/fleets/:id
Returns a fleet inspection owned by the authenticated insurer. Use the ULID returned as uid or id.
Request
Path Parameters
id stringrequired
Fleet inspection ULID.
Responses
- 200
- 401
- 403
- 404
- 429
Fleet inspection returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
data object
uid string
Fleet ULID used in fleet API URLs.
id string
Alias of uid.
inspection_type string
Possible values: [personal, corporate]
name string
company_name string
company_phone_no string
company_email email
status string
payment_status string
policy_start_date datenullable
policy_end_date datenullable
meta object[]
Uploaded fleet documents. Returned by the get operation.
type string
url uri
file string
insurer object
Returned by the get operation.
id integer
code string
has_policies integer
Number of policies attached to the fleet.
vehicles_count integer
created_at date-time
inspection_link uri
{
"data": {
"uid": "01JZ7M5BCW8T2W4QWR5SN1MMBQ",
"id": "01JZ7M5BCW8T2W4QWR5SN1MMBQ",
"inspection_type": "personal",
"name": "Delivery Fleet",
"company_name": "Example Logistics Limited",
"company_phone_no": "08012345678",
"company_email": "fleet@example.com",
"status": "active",
"payment_status": "unpaid",
"policy_start_date": "2026-08-03",
"policy_end_date": "2026-08-03",
"meta": [
{
"type": "string",
"url": "string",
"file": "string"
}
],
"insurer": {
"id": 0,
"code": "string"
},
"has_policies": 0,
"vehicles_count": 0,
"created_at": "2026-08-03T13:29:38.477Z",
"inspection_link": "string"
}
}
Unauthenticated - no valid API key was provided.
- application/json
- Schema
- Example (from schema)
Schema
data string
{
"data": "Invalid Token"
}
The authenticated insurer does not own this fleet.
Fleet inspection not found.
Too many requests.
Loading...